<!--
Thank you for contributing!

Please use the appropriate templates as a guide. Delete what doesn't apply. If neither apply to your issue please describe the problem as clearly as possible.

An example or git repository that demonstrates the issue is always very helpful. PRs are also welcome if you would like to propose an implementation. Also, give the issue a meaningful subject line that describes it clearly.

Templates:

1. Feature
2. Bug
3. Support
-->




<!-- 1. Feature -->

## Feature Request

Describe the feature or behavior you would like to add considering the following:

* Why would this new feature or change be useful?
* What's your particular use case?
* What problems does it solve?
* Can you provide a demo or repository demonstrating the issue?
* Are there any related issues?

## Proposed Changes

Describe how you would implement the feature.

* Are there code snippets that demonstrate the changes?
* Can you provide a PR in addition to this issue? It's much appreciated if you do.





<!-- 2. Bug -->

## Expected Behavior

Describe what should be happening.

## Actual Behavior

What went wrong? Provide code snippets, demo links, or repositories demonstrating the broken behavior.

```
Uncaught ReferenceError: foo is not defined
```

## Steps to Reproduce the Problem

1. Did this.
2. Did that.
3. ???
4. Oh no!

## Environment

* Version:
* Platform:
* Browser:




<!-- 3. Support -->

## Trouble With Implementation

Describe the trouble you are having considering the following:

* What is the expected behavior of your implementation?
* Can you share the repository, live site, or a demo?
* Are you seeing any errors or warnings?
* Any relevant snippets of code you can provide?
